﻿Imports System.ComponentModel

Public Class OziInfo
    'Declarations
    Public Geodata As String

    'Subroutine OziInfo_Load
    '- Actions at opening the form OziInfo
    Private Sub OziInfo_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        '- Declarations
        Dim TipText As New ToolTip()                'Creating tooltips for this form

        '- Clearing all values in form
        FileValue.Text = ""
        GeoDataBox.Text = ""

        '- Setting up the delays for the ToolTip (TipText).
        TipText.AutoPopDelay = 5000
        TipText.InitialDelay = 1000
        TipText.ReshowDelay = 500

        '- Forcing the ToolTip text to be displayed whether or not the form is active.
        TipText.ShowAlways = True

        '- Tooltips
        TipText.SetToolTip(TopStrip, "Select a MAP-file to view the content.")
        TipText.SetToolTip(GeoDataBox, "Content of Ozi MAP-file.")

        '- Setting form title
        Me.Text = AppName & " - Ozi MAP-file information"

        '- Disabling StartMenu form
        StartMenu.Enabled = False

        '- Disabling PrintItem
        PrintItem.Enabled = False

        '- Initiating SelectItem
        SelectItem_Click(sender, e)

    End Sub

    'Subroutine CloseItem_Click
    '- initializing closing the form OziInfo
    Private Sub CloseItem_Click(sender As Object, e As EventArgs) Handles CloseItem.Click
        Me.Close()

    End Sub

    'Subroutine OziInfo_Closing
    '- Actions at closing the form OziInfo
    Private Sub OziInfo_Closing(sender As Object, e As CancelEventArgs) Handles Me.Closing
        '- Enabling StartMenu form
        StartMenu.Enabled = True

    End Sub

    'Subroutine SelectButton_Click
    '- Selecting Ozi MAP-file
    '- Loading data and filename into the form
    Private Sub SelectItem_Click(sender As Object, e As EventArgs) Handles SelectItem.Click

        '- Clearing all values in form
        FileValue.Text = ""
        GeoDataBox.Text = ""

        '- Setting patameters for SelectFile
        With SelectFile
            .Filter = "Ozi MAP-file (*.map)|*.map"
            .Multiselect = False
        End With

        '- Triggering SelectFile and handling case no file was selected
        If SelectFile.ShowDialog <> DialogResult.OK Then

            FileValue.Text = ""
            MsgBox("No file was selected!", 48, AppName & " - Warning")

            '- Disabling Print menu items
            PrintItem.Enabled = False

            Exit Sub

        End If

        '- Showing selected filename in form (FileValue)
        FileValue.Text = SelectFile.FileName

        '- Setting Value for MapData and writing these data to form
        Geodata = My.Computer.FileSystem.ReadAllText(SelectFile.FileName)
        GeoDataBox.Text = Geodata

        '- Enabling PrintDataItem
        PrintItem.Enabled = True

    End Sub

    Private Sub PrintDataItem_Click(sender As Object, e As EventArgs) Handles PrintDataItem.Click

        StartMenu.PrintContent(GeoDataBox.Text, GeoDataBox.Font, LandscapeItem.Checked)

    End Sub

End Class